# $Revision: 1.24 $, $Date: 2007/09/11 07:28:37 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	ReturnValue
Summary:	Class::ReturnValue - a return-value object that may be treated as a boolean, array or object
Summary(pl.UTF-8):	Class::ReturnValue - obiekt wartości zwracanej, który może być traktowany jak wartość logiczna, tablica lub obiekt
Name:		perl-Class-ReturnValue
Version:	0.55
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	047fbbcfd90d5c399a1feba55781329e
URL:		http://search.cpan.org/dist/Class-ReturnValue/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::ReturnValue is a "clever" return value object that can allow
code calling your routine to expect: a boolean value (did it fail) or
a list (what are the return values).

%description -l pl.UTF-8
Class::ReturnValue jest ,,mądrym'' obiektem, który pozwala, aby kod
wywołujący Twoje funkcje oczekiwał: wartości boolowskiej (czy się
udało) lub listy (jakie wartości zwrócono).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
#%{__perl} -pi -e 'BEGIN{undef $/};s/\{\s*package MY;.*$//s' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
# Warning: test script in this package IS broken (wrong name)
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-ReturnValue.spec,v $
Revision 1.24  2007/09/11 07:28:37  arekm
- up to 0.55

Revision 1.23  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.21  2006/07/26 19:16:54  glen
- 0.53, generic URL

Revision 1.20  2004/11/03 22:30:10  paladine
- formatting

Revision 1.19  2004/10/24 14:00:47  paladine
- spelling fix

Revision 1.18  2004/05/06 18:43:05  ankry
- fixed perl-devel BR

Revision 1.17  2004/04/18 17:24:15  ankry
- summary, description and license fixes

Revision 1.16  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.15  2003/12/01 17:22:14  migo
- up to 0.52, cosmetics, new bcond style
- disabled perl magic in %prep

Revision 1.14  2003/09/09 10:24:29  ankry
- spaces -> tab

Revision 1.13  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.12  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:45:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.6  2003/02/18 22:48:56  ankry
- autoupdated to 0.51

Revision 1.5  2003/02/18 15:28:11  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/12/03 21:34:53  ankry
- cleaning

Revision 1.3  2002/09/26 13:35:44  ankry
- version 0.40
- added bcond for tests, but disabled by default - current test script
  is broken

Revision 1.2  2002/08/17 07:28:51  kloczek
- (auto)updated to 0.22.

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
